Subject: Re: gdb error 193
From: [email-masked] (Christopher G. Faylor)

8 Dec 1998 18:44:43 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Jim Nelson <[email-masked]> wrote:
>
>I've checked the FAQ and mailing list archives for help, but no mention of
>this problem.
>
>I'm using NT4 SP3 with B20.1 (full).  I can build and run a "hello world" app,
>even run it under gdb.
>
>Hoever, when I try to load a more complicated C++ program under gdb, I get
>this when I run it:
>
>/htp/src $gdb htp
>GNU gdb 4.17.1
>Copyright 1998 Free Software Foundation, Inc.
>GDB is free software, covered by the GNU General Public License, and you are
>welcome to change it and/or distribute copies of it under certain conditions.
>Type "show copying" to see the conditions.
>There is absolutely no warranty for GDB.  Type "show warranty" for details.
>This GDB was configured as "i586-cygwin32"...
>(gdb) run
>Starting program: /htp/src/htp.exe
>Error creating process /htp/src/htp.exe, (error 193)
>
>Any idea what error 193 means?

That's a Win32 error.  The Win32 errors are enumerated in the
..../include/Windows32/Errors.h file.

In this case, the error is "Bad EXE format".  I don't suppose that
htp.exe is a symbolic link by any chance?  Can you actually run the
program?
-- 
[email-masked]
http://www.cygnus.com/